/**
   Ta klasa przechowuje dane na temat wykadowcy.
*/

public class Instructor
{
   private String lastName;     // Nazwisko.
   private String firstName;     // Imi.
   private String officeNumber;  // Numer gabinetu.

   /**
     Ten konstruktor inicjuje nazwisko,
     imi i numer gabinetu wykadowcy.
     @param lname Nazwisko wykadowcy.
     @param fname Imi wykadowcy.
     @param office Numer gabinetu.
   */

   public Instructor(String lname, String fname,
                     String office)
   {
      lastName = lname;
      firstName = fname;
      officeNumber = office;
   }

   /**
      Konstruktor kopiujcy inicjuje obiekt 
      jako kopi innego obiektu typu Instructor.
      @param object2 Kopiowany obiekt.
   */
   
   public Instructor(Instructor object2)
   {
      lastName = object2.lastName;
      firstName = object2.firstName;
      officeNumber = object2.officeNumber;
   }

   /**
      Metoda set ustawia warto kadego pola.
      @param lname Nazwisko wykadowcy.
      @param fname Imi wykadowcy.
      @param office Numer gabinetu.
   */
   
   public void set(String lname, String fname,
                   String office)
   {
      lastName = lname;
      firstName = fname;
      officeNumber = office;
   }
   
   /**
      Metoda toString.
      @return acuch znakw zawierajcy
            informacje o wykadowcy.
    */

    public String toString()
    {
      // Tworzenie acucha znakw reprezentujcego dany obiekt.
      String str = "Nazwisko: " + lastName +
                   "\nImi: " + firstName +
                   "\nNumer gabinetu: " + officeNumber;

      // Zwracanie acucha znakw.
      return str;
   }
}